[arch-commits] Commit in iputils/repos (12 files)

Stéphane Gaudreault stephane at archlinux.org
Mon Nov 5 15:35:33 UTC 2012


    Date: Monday, November 5, 2012 @ 10:35:32
  Author: stephane
Revision: 170233

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  iputils/repos/testing-i686/
  iputils/repos/testing-i686/PKGBUILD
    (from rev 170232, iputils/trunk/PKGBUILD)
  iputils/repos/testing-i686/iputils-20101006-ping-integer-overflow.patch
    (from rev 170232, iputils/trunk/iputils-20101006-ping-integer-overflow.patch)
  iputils/repos/testing-i686/iputils-20121011-flood.patch
    (from rev 170232, iputils/trunk/iputils-20121011-flood.patch)
  iputils/repos/testing-i686/iputils.install
    (from rev 170232, iputils/trunk/iputils.install)
  iputils/repos/testing-i686/tftp.xinetd
    (from rev 170232, iputils/trunk/tftp.xinetd)
  iputils/repos/testing-x86_64/
  iputils/repos/testing-x86_64/PKGBUILD
    (from rev 170232, iputils/trunk/PKGBUILD)
  iputils/repos/testing-x86_64/iputils-20101006-ping-integer-overflow.patch
    (from rev 170232, iputils/trunk/iputils-20101006-ping-integer-overflow.patch)
  iputils/repos/testing-x86_64/iputils-20121011-flood.patch
    (from rev 170232, iputils/trunk/iputils-20121011-flood.patch)
  iputils/repos/testing-x86_64/iputils.install
    (from rev 170232, iputils/trunk/iputils.install)
  iputils/repos/testing-x86_64/tftp.xinetd
    (from rev 170232, iputils/trunk/tftp.xinetd)

-------------------------------------------------------------+
 testing-i686/PKGBUILD                                       |   76 ++++++++++
 testing-i686/iputils-20101006-ping-integer-overflow.patch   |   11 +
 testing-i686/iputils-20121011-flood.patch                   |   22 ++
 testing-i686/iputils.install                                |   10 +
 testing-i686/tftp.xinetd                                    |   10 +
 testing-x86_64/PKGBUILD                                     |   76 ++++++++++
 testing-x86_64/iputils-20101006-ping-integer-overflow.patch |   11 +
 testing-x86_64/iputils-20121011-flood.patch                 |   22 ++
 testing-x86_64/iputils.install                              |   10 +
 testing-x86_64/tftp.xinetd                                  |   10 +
 10 files changed, 258 insertions(+)

Copied: iputils/repos/testing-i686/PKGBUILD (from rev 170232, iputils/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,76 @@
+# $Id$
+# Maintainer: Stéphane Gaudreault <stephane at archlinux.org>
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Aaron Griffin <aaron at archlinux.org>
+
+pkgname=iputils
+pkgver=20121011
+pkgrel=2
+pkgdesc="IP Configuration Utilities (and Ping)"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.linuxfoundation.org/en/Net:Iputils"
+groups=('base')
+depends=('openssl' 'sysfsutils' 'libcap')
+optdepends=('xinetd: for tftpd')
+makedepends=('docbook2x' 'opensp')
+conflicts=('netkit-base' 'arping' 'netkit-tftpd')
+replaces=('netkit-base')
+backup=(etc/xinetd.d/tftp)
+install=${pkgname}.install
+source=(http://www.skbuff.net/${pkgname}/${pkgname}-s${pkgver}.tar.bz2 tftp.xinetd
+        iputils-20101006-ping-integer-overflow.patch
+        iputils-20121011-flood.patch)
+sha1sums=('3e85179746fd93000d6267bd55addfe97f321ba7'
+          'fc2ae26f5609725e3f4aeaf4ab82dfa6d2e378fd'
+          'ec78574d798b53e4f8bdd37e42514fc17ed71667'
+          '2343edf0dce28030e43305cefedd60806bb58eae')
+
+build() {
+  cd "${srcdir}/${pkgname}-s${pkgver}"
+
+  # Use our CFLAGS
+  sed -i -e "/^CCOPT=/s|-O2|${CFLAGS}|" Makefile
+
+  # FS#28897
+  patch -Np1 -i ../iputils-20101006-ping-integer-overflow.patch 
+
+  # FS#32306
+  patch -Np1 -i ../iputils-20121011-flood.patch
+
+  make
+
+  cd doc
+  for file in *.sgml; do
+    xf=${file/.sgml/.xml}
+    osx -xlower -xno-nl-in-tag $file > $xf || true
+    sed -i "s|<refname>\(.*\), \(.*\)</refname>|<refname>\1</refname>, <refname>\2</refname>|g" $xf
+    docbook2man $xf
+  done
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-s${pkgver}"
+
+  install -dm755 "${pkgdir}"/usr/{bin,sbin} "${pkgdir}"/bin
+
+  install -m755 arping clockdiff rarpd rdisc tftpd tracepath tracepath6 \
+    "${pkgdir}"/usr/sbin/
+
+  install -m755 ping{,6} "${pkgdir}"/usr/bin/
+   ln -sf /usr/bin/ping{,6}  "${pkgdir}"/bin/
+
+   install -dm755 "${pkgdir}"/usr/share/man/man8
+   install -m644 doc/{arping,clockdiff,ping,rarpd,rdisc,tftpd,tracepath}.8 \
+     "${pkgdir}"/usr/share/man/man8/
+
+  cd "${pkgdir}"/usr/share/man/man8
+  ln -sf ping.8.gz  ping6.8.gz
+  ln -sf tracepath.8.gz tracepath6.8.gz
+
+  # FS#24768
+  install -dm755 "${pkgdir}"/etc/xinetd.d/
+  install -m644 "${srcdir}"/tftp.xinetd "${pkgdir}"/etc/xinetd.d/tftp
+}
+
+# vim:set ts=2 sw=2 et:

Copied: iputils/repos/testing-i686/iputils-20101006-ping-integer-overflow.patch (from rev 170232, iputils/trunk/iputils-20101006-ping-integer-overflow.patch)
===================================================================
--- testing-i686/iputils-20101006-ping-integer-overflow.patch	                        (rev 0)
+++ testing-i686/iputils-20101006-ping-integer-overflow.patch	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,11 @@
+--- iputils-s20101006/ping_common.c	2010-10-06 13:59:20.000000000 +0200
++++ iputils-s20101006-patched/ping_common.c	2012-03-09 16:42:46.878151032 +0100
+@@ -590,7 +590,7 @@
+ 
+ 			/* If we are here, recvmsg() is unable to wait for
+ 			 * required timeout. */
+-			if (1000*next <= 1000000/(int)HZ) {
++			if (((uint64_t)1000*next) <= (uint64_t)1000000/(int)HZ) {
+ 				/* Very short timeout... So, if we wait for
+ 				 * something, we sleep for MININTERVAL.
+ 				 * Otherwise, spin! */

Copied: iputils/repos/testing-i686/iputils-20121011-flood.patch (from rev 170232, iputils/trunk/iputils-20121011-flood.patch)
===================================================================
--- testing-i686/iputils-20121011-flood.patch	                        (rev 0)
+++ testing-i686/iputils-20121011-flood.patch	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,22 @@
+--- iputils-s20121011/ping_common.h	2012-11-05 10:07:40.065281888 +0100
++++ iputils-s20121011-new/ping_common.h	2012-11-05 10:07:22.001268362 +0100
+@@ -141,7 +141,7 @@ static inline void write_stdout(const ch
+ 	do {
+ 		cc = write(STDOUT_FILENO, str + o, len - o);
+ 		o += cc;
+-	} while (len >= o || cc < 0);
++	} while (len > o || cc < 0);
+ }
+ 
+ /*
+--- iputils-s20121011/ping_common.c	2012-11-05 10:07:40.066281889 +0100
++++ iputils-s20121011-new/ping_common.c	2012-11-05 10:07:22.007268368 +0100
+@@ -776,7 +776,7 @@ restamp:
+ 		if (!csfailed)
+ 			write_stdout("\b \b", 3);
+ 		else
+-			write_stdout("\bC", 1);
++			write_stdout("\bC", 2);
+ 	} else {
+ 		int i;
+ 		__u8 *cp, *dp;

Copied: iputils/repos/testing-i686/iputils.install (from rev 170232, iputils/trunk/iputils.install)
===================================================================
--- testing-i686/iputils.install	                        (rev 0)
+++ testing-i686/iputils.install	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,10 @@
+post_install() {
+  setcap cap_net_raw=ep usr/bin/ping  2>/dev/null || chmod +s usr/bin/ping 
+  setcap cap_net_raw=ep usr/bin/ping6 2>/dev/null || chmod +s usr/bin/ping6
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: iputils/repos/testing-i686/tftp.xinetd (from rev 170232, iputils/trunk/tftp.xinetd)
===================================================================
--- testing-i686/tftp.xinetd	                        (rev 0)
+++ testing-i686/tftp.xinetd	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,10 @@
+service tftp
+{
+	socket_type	= dgram
+	protocol	= udp
+	wait		= yes
+	user		= nobody
+	server		= /usr/sbin/tftpd
+	server_args	= /var/tftpboot
+	disable		= yes
+}

Copied: iputils/repos/testing-x86_64/PKGBUILD (from rev 170232, iputils/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,76 @@
+# $Id$
+# Maintainer: Stéphane Gaudreault <stephane at archlinux.org>
+# Maintainer: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Aaron Griffin <aaron at archlinux.org>
+
+pkgname=iputils
+pkgver=20121011
+pkgrel=2
+pkgdesc="IP Configuration Utilities (and Ping)"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.linuxfoundation.org/en/Net:Iputils"
+groups=('base')
+depends=('openssl' 'sysfsutils' 'libcap')
+optdepends=('xinetd: for tftpd')
+makedepends=('docbook2x' 'opensp')
+conflicts=('netkit-base' 'arping' 'netkit-tftpd')
+replaces=('netkit-base')
+backup=(etc/xinetd.d/tftp)
+install=${pkgname}.install
+source=(http://www.skbuff.net/${pkgname}/${pkgname}-s${pkgver}.tar.bz2 tftp.xinetd
+        iputils-20101006-ping-integer-overflow.patch
+        iputils-20121011-flood.patch)
+sha1sums=('3e85179746fd93000d6267bd55addfe97f321ba7'
+          'fc2ae26f5609725e3f4aeaf4ab82dfa6d2e378fd'
+          'ec78574d798b53e4f8bdd37e42514fc17ed71667'
+          '2343edf0dce28030e43305cefedd60806bb58eae')
+
+build() {
+  cd "${srcdir}/${pkgname}-s${pkgver}"
+
+  # Use our CFLAGS
+  sed -i -e "/^CCOPT=/s|-O2|${CFLAGS}|" Makefile
+
+  # FS#28897
+  patch -Np1 -i ../iputils-20101006-ping-integer-overflow.patch 
+
+  # FS#32306
+  patch -Np1 -i ../iputils-20121011-flood.patch
+
+  make
+
+  cd doc
+  for file in *.sgml; do
+    xf=${file/.sgml/.xml}
+    osx -xlower -xno-nl-in-tag $file > $xf || true
+    sed -i "s|<refname>\(.*\), \(.*\)</refname>|<refname>\1</refname>, <refname>\2</refname>|g" $xf
+    docbook2man $xf
+  done
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-s${pkgver}"
+
+  install -dm755 "${pkgdir}"/usr/{bin,sbin} "${pkgdir}"/bin
+
+  install -m755 arping clockdiff rarpd rdisc tftpd tracepath tracepath6 \
+    "${pkgdir}"/usr/sbin/
+
+  install -m755 ping{,6} "${pkgdir}"/usr/bin/
+   ln -sf /usr/bin/ping{,6}  "${pkgdir}"/bin/
+
+   install -dm755 "${pkgdir}"/usr/share/man/man8
+   install -m644 doc/{arping,clockdiff,ping,rarpd,rdisc,tftpd,tracepath}.8 \
+     "${pkgdir}"/usr/share/man/man8/
+
+  cd "${pkgdir}"/usr/share/man/man8
+  ln -sf ping.8.gz  ping6.8.gz
+  ln -sf tracepath.8.gz tracepath6.8.gz
+
+  # FS#24768
+  install -dm755 "${pkgdir}"/etc/xinetd.d/
+  install -m644 "${srcdir}"/tftp.xinetd "${pkgdir}"/etc/xinetd.d/tftp
+}
+
+# vim:set ts=2 sw=2 et:

Copied: iputils/repos/testing-x86_64/iputils-20101006-ping-integer-overflow.patch (from rev 170232, iputils/trunk/iputils-20101006-ping-integer-overflow.patch)
===================================================================
--- testing-x86_64/iputils-20101006-ping-integer-overflow.patch	                        (rev 0)
+++ testing-x86_64/iputils-20101006-ping-integer-overflow.patch	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,11 @@
+--- iputils-s20101006/ping_common.c	2010-10-06 13:59:20.000000000 +0200
++++ iputils-s20101006-patched/ping_common.c	2012-03-09 16:42:46.878151032 +0100
+@@ -590,7 +590,7 @@
+ 
+ 			/* If we are here, recvmsg() is unable to wait for
+ 			 * required timeout. */
+-			if (1000*next <= 1000000/(int)HZ) {
++			if (((uint64_t)1000*next) <= (uint64_t)1000000/(int)HZ) {
+ 				/* Very short timeout... So, if we wait for
+ 				 * something, we sleep for MININTERVAL.
+ 				 * Otherwise, spin! */

Copied: iputils/repos/testing-x86_64/iputils-20121011-flood.patch (from rev 170232, iputils/trunk/iputils-20121011-flood.patch)
===================================================================
--- testing-x86_64/iputils-20121011-flood.patch	                        (rev 0)
+++ testing-x86_64/iputils-20121011-flood.patch	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,22 @@
+--- iputils-s20121011/ping_common.h	2012-11-05 10:07:40.065281888 +0100
++++ iputils-s20121011-new/ping_common.h	2012-11-05 10:07:22.001268362 +0100
+@@ -141,7 +141,7 @@ static inline void write_stdout(const ch
+ 	do {
+ 		cc = write(STDOUT_FILENO, str + o, len - o);
+ 		o += cc;
+-	} while (len >= o || cc < 0);
++	} while (len > o || cc < 0);
+ }
+ 
+ /*
+--- iputils-s20121011/ping_common.c	2012-11-05 10:07:40.066281889 +0100
++++ iputils-s20121011-new/ping_common.c	2012-11-05 10:07:22.007268368 +0100
+@@ -776,7 +776,7 @@ restamp:
+ 		if (!csfailed)
+ 			write_stdout("\b \b", 3);
+ 		else
+-			write_stdout("\bC", 1);
++			write_stdout("\bC", 2);
+ 	} else {
+ 		int i;
+ 		__u8 *cp, *dp;

Copied: iputils/repos/testing-x86_64/iputils.install (from rev 170232, iputils/trunk/iputils.install)
===================================================================
--- testing-x86_64/iputils.install	                        (rev 0)
+++ testing-x86_64/iputils.install	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,10 @@
+post_install() {
+  setcap cap_net_raw=ep usr/bin/ping  2>/dev/null || chmod +s usr/bin/ping 
+  setcap cap_net_raw=ep usr/bin/ping6 2>/dev/null || chmod +s usr/bin/ping6
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: iputils/repos/testing-x86_64/tftp.xinetd (from rev 170232, iputils/trunk/tftp.xinetd)
===================================================================
--- testing-x86_64/tftp.xinetd	                        (rev 0)
+++ testing-x86_64/tftp.xinetd	2012-11-05 15:35:32 UTC (rev 170233)
@@ -0,0 +1,10 @@
+service tftp
+{
+	socket_type	= dgram
+	protocol	= udp
+	wait		= yes
+	user		= nobody
+	server		= /usr/sbin/tftpd
+	server_args	= /var/tftpboot
+	disable		= yes
+}




More information about the arch-commits mailing list